Check payment reminders before sending
POST
/invoices/reminders/preview
const url = 'https://example.com/invoices/reminders/preview';const options = { method: 'POST', headers: { cookie: '__Host-bottle.session_token=<__Host-bottle.session_token>', 'Content-Type': 'application/json' }, body: '{"invoiceIds":["019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/invoices/reminders/preview \ --header 'Content-Type: application/json' \ --cookie __Host-bottle.session_token=<__Host-bottle.session_token> \ --data '{ "invoiceIds": [ "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" ] }'For the invoices picked: who each reminder would go to, which cannot go and why, and the wording it would use. Nothing is sent.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
invoiceIds
required
Array<string>
Responses
Section titled “Responses”The reminders as they would go
Media typeapplication/json
object
items
required
Array<object>
object
invoiceId
required
UUID v7
string format: uuid
number
required
string
customerId
required
UUID v7
string | null format: uuid
customerName
required
string | null
owedPence
required
integer
dueOn
required
string format: date
daysOverdue
required
integer
remindersSent
required
integer
lastRemindedAt
required
string | null format: date-time
emails
required
Array<string>
skip
required
string | null
subject
required
string
message
required
string
custom
required
boolean
Example
{ "items": [ { "invoiceId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "customerId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "skip": "not_found" } ]}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member, or without the permission this needs
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}